## leiningen-clojure 2.10.0

=== web/Makefile ===
upload: ; rsync -r ./ philhag@leiningen.org:leiningen.org/
