## leiningen-clojure 2.8.1

=== debian/changelog ===
leiningen-clojure (2.8.1-7ubuntu1) cosmic; urgency=medium

  * Depend on libwagon-java in autopkgtest as well.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Oct 2018 00:12:51 +0100

leiningen-clojure (2.8.1-7) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Depend on libwagon-java instead of libwagon2-java (Closes: #891175)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11

  [ Elana Hashman ]
  * Patch dependencies to match versions in Debian (Closes: #906374)
  * Make build as verbose as possible, per policy 4.2.0
  * Assert compliance with Standard-Version 4.2.0

 -- Elana Hashman <ehashman@debian.org>  Sat, 18 Aug 2018 18:34:24 -0400

leiningen-clojure (2.8.1-6) unstable; urgency=medium

  * Do not pin architecture in patch to bin/lein-pkg.
  * Do not pin architecture in debian/rules.
  * Remove hardcoded DEBUG=1 from debian/rules.

 -- Elana Hashman <ehashman@debian.org>  Sat, 14 Apr 2018 19:12:35 -0400

leiningen-clojure (2.8.1-5) unstable; urgency=medium

  * Fix homepage.
  * Update clojure builddep to clojure1.8. (Closes: #889533)
  * Patch commons-io version to match Debian.
  * Switch Vcs from alioth to salsa.
  * Add hard dependency on Java 8.

 -- Elana Hashman <ehashman@debian.org>  Fri, 13 Apr 2018 22:14:27 -0400

leiningen-clojure (2.8.1-4) unstable; urgency=medium

  * Improve short description for i18n/l10n. (Closes: #886106)
  * Add JDK in Recommends for javac task.

 -- Elana Hashman <ehashman@debian.org>  Sat, 06 Jan 2018 17:45:27 -0500

leiningen-clojure (2.8.1-3) unstable; urgency=medium

  * Fix copyright.

 -- Elana Hashman <ehashman@debian.org>  Thu, 28 Dec 2017 18:25:47 -0500

leiningen-clojure (2.8.1-2) unstable; urgency=medium

  * Fix package dependencies.
  * Fix broken autopkgtests.
  * Remove strip-nondeterminism to address performance issues.
  * Fix broken lein-core jar.

 -- Elana Hashman <ehashman@debian.org>  Sat, 23 Dec 2017 18:36:52 -0500

leiningen-clojure (2.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #819811)

 -- Elana Hashman <ehashman@debian.org>  Sat, 23 Dec 2017 11:36:13 -0500
