=== debian/tests/control ===
Depends: @, clojure1.8, libbultitude-clojure, libclasslojure-clojure, librobert-hooke-clojure, libpomegranate-clojure, libdynapath-clojure, libcom-hypirion-io-clojure, libtools-macro-clojure, libcomplete-clojure, libwagon-java, libslf4j-java
Restrictions: allow-stderr
Tests: import-core

Depends: @, bash
Tests: test-lein
