## leiningen-clojure 2.9.0

=== debian/changelog ===
leiningen-clojure (2.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Build Leiningen with JDK11 (Closes: #900299, #923164)
  * Build Leiningen with Leiningen, and no longer build/install lein-core.
  * Update autopkgtests to work with JDK11.
  * Added a NEWS.Debian file to inform users of the JDK8 -> 11 changes.

 -- Elana Hashman <ehashman@debian.org>  Sun, 03 Mar 2019 14:38:24 +0000

leiningen-clojure (2.8.1-9) unstable; urgency=medium

  * Fix dependency (libwagon2-java -> libwagon-java) in autopkgtests.
  * Assert compliance with policy 4.2.1. Obey the policy.

 -- Elana Hashman <ehashman@debian.org>  Sat, 20 Oct 2018 11:56:55 -0400
