## leiningen-clojure 2.9.1

=== debian/changelog ===
leiningen-clojure (2.9.1-5) unstable; urgency=medium

  * Patch lein to use "debian" versions. (Closes: #981353)
  * Remove outdated dependency.
  * Fix homepage link.

 -- Elana Hashman <ehashman@debian.org>  Sat, 30 Jan 2021 23:57:40 -0500

leiningen-clojure (2.9.1-4) unstable; urgency=medium

  * Team upload.
  * d/patches: use generic "debian" version for slf4j-nop. (Closes: #980645)
  * d/tests: use $AUTOPKGTEST_TMP instead of /tmp.
  * d/control: use dh-compat and upgrade to dh13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * d/copyright: fix insecure URI.
  * d/watch: update to v4 and use git mode.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 29 Jan 2021 13:37:42 -0500

leiningen-clojure (2.9.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to bump commons-io to 2.8.0. (Closes: #973094)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 23 Nov 2020 01:50:45 +0530

leiningen-clojure (2.9.1-2) unstable; urgency=medium

  * Patch lein to build with Clojure 1.10.1.

 -- Elana Hashman <ehashman@debian.org>  Thu, 26 Dec 2019 17:43:11 -0500

leiningen-clojure (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 23 Jul 2019 13:35:04 -0500
