=== debian/control ===
Source: leiningen-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Elana Hashman <ehashman@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 javahelper (>= 0.32),
 maven-debian-helper (>= 2.0),
 leiningen,
 libmaven-install-plugin-java,
 bash-completion,
 openjdk-11-jdk,
 libclojure-java (>= 1.10),
# leiningen-core
 libbultitude-clojure (>= 0.3.0-2),
 libclasslojure-clojure (>= 0.7.1),
 librobert-hooke-clojure (>= 1.3.0),
 libpomegranate-clojure (>= 1.1.0+really),
 libdynapath-clojure (>= 1.0.0),
 libcom-hypirion-io-clojure (>= 0.3.1),
 libtools-macro-clojure (>= 0.1.5),
 libcomplete-clojure (>= 0.2.5),
 libwagon-java (>= 2.12),
 libslf4j-java (>= 1.7.22),
# leiningen
 libdata-xml-clojure (>= 0.0.8),
 libstencil-clojure (>= 0.5.0),
 libnrepl-clojure (>= 0.6.0),
 libsjacket-clojure (>= 0.1.1),
 libparsley-clojure (>= 0.9.3),
 libscout-clojure (>= 0.1.1),
 libcommons-lang-java (>= 2.6),
 libcommons-io-java (>= 2.8.0)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/clojure-team/leiningen-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/leiningen-clojure
Homepage: https://leiningen.org
Rules-Requires-Root: no

Package: leiningen
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 default-jre-headless
Recommends:
 ${java:Recommends},
 default-jdk-headless
Suggests: ${maven:OptionalDepends}
Description: Automation tool and dependency manager for Clojure projects
 Working on Clojure projects with tools designed for Java can be an
 exercise in frustration. With Leiningen, you describe your build with
 Clojure. Leiningen handles fetching dependencies, running tests, packaging
 your projects and can be easily extended with a number of plugins.
