=== debian/tests/control ===
Depends: @, bash, openjdk-11-jre-headless
Tests: test-lein
