=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/technomancy/leiningen.git \
refs/tags/([\d\.]+)
