## leiningen-clojure 2.10.0

=== debian/changelog ===
leiningen-clojure (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * d/control, d/patches/0005: drop patch and use nrepl-incomplete-clojure
    instead.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 20 Jan 2023 14:47:00 -0500

leiningen-clojure (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/gbp.conf: add file and move 'master' branch to 'debian/main'.
  * d/watch: upstream moved from github to codeberg.
  * d/patches: refresh patches for new upstream version.
  * d/control: update dependencies and remove unnecessary version
    restrictions.
  * d/tests/test-lein: update the autopkgtest for lein 2.10.
  * d/control, d/tests/0005: temporary replace nrepl-incomplete by
    complete-clojure, while the former goes through NEW.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 05 Jan 2023 18:26:16 -0500

leiningen-clojure (2.9.1-9) unstable; urgency=medium

  * Team upload.
  * d/control: Replace build-dependency on openjdk-11 by default-jdk.
  * d/rules: don't hardcode java 11 as the interpreter.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 18 Nov 2022 14:56:26 -0500

leiningen-clojure (2.9.1-8) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: add nrepl-clojure and libcomplete-clojure as install
    dependency.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 13 Jul 2022 09:22:31 +0200

leiningen-clojure (2.9.1-7) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: tighten the nrepl versioned dependency to fix autopkgtest
    failure on cljx-clojure.
  * d/control: Standards-Version update to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 12 Jul 2022 20:46:55 +0200

leiningen-clojure (2.9.1-6) unstable; urgency=medium

  * Team upload

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.
  * d/patches/0004: patch nrepl to use 0.9.0. (Closes: #1012824)
  * d/patches/0004: there is no "debian" version for maven-resolver-provider,
    only a "3.x" version
  * d/tests: mark test-lein as requiring network connectivity.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 19 Jun 2022 12:31:29 -0400
