=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export DEBUG=1
export LEIN_HOME=$(CURDIR)/.lein

%:
	dh $@ --with bash-completion --with javahelper --buildsystem=maven

override_dh_auto_build:
	cd leiningen-core && lein bootstrap
	chmod a+x bin/lein
	bin/lein uberjar
	bin/lein pom
	cp bin/lein bin/lein-standalone
	cp bin/lein-pkg bin/lein
	cp zsh_completion.zsh _lein

override_dh_auto_install:
	mh_installjar -pleiningen -l pom.xml target/leiningen-$(DEB_VERSION_UPSTREAM)-standalone.jar
	mh_installpom -pleiningen pom.xml

override_dh_auto_test:
	dh_auto_test -- -f leiningen-core/pom.xml test

override_dh_auto_clean:
	dh_auto_clean
	cd leiningen-core && lein clean
	rm -f leiningen-core/.lein-bootstrap
	rm -f .lein-project-checksum
	rm -f .lein-classpath
	rm -rf .lein
	rm -f pom.xml
	rm -rf target
	rm -f _lein
	if [ -f bin/lein-standalone ] ; then \
		mv bin/lein-standalone bin/lein; \
	fi

override_dh_strip_nondeterminism:
