=== debian/tests/control ===
Depends: @, bash, default-jre-headless
Tests: test-lein
Restrictions: needs-internet
