=== debian/watch ===
version=4
opts="mode=git" \
https://codeberg.org/leiningen/leiningen.git \
refs/tags/([\d\.]+)
