=== web/wiki/Makefile ===
upload: index.cgi .htaccess 404.html
	rsync -rAv $^ leiningen@wiki.leiningen.org:wiki.leiningen.org/
