=== debian/changelog ===
leiningen-clojure (2.11.2-1) unstable; urgency=medium

  * Team upload.
  * Upgrade to 2.11.2.
  * test-lein: adjust expected output for 2.11.2.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 11 Jan 2026 13:18:54 -0600

leiningen-clojure (2.10.0-5) unstable; urgency=medium

  * Team upload.
  * Support dh-clojure-lein project adjustment.
  * Add debian/README, mentioning the dh-clojure support.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 19 Dec 2024 16:07:44 -0600

leiningen-clojure (2.10.0-4) unstable; urgency=medium

  * Team upload.
  * d/patches: add patch to fix ftbfs

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 02 Dec 2024 20:23:49 -0500

leiningen-clojure (2.10.0-3) unstable; urgency=medium

  * Team upload.
  * d/patches: backport upstream active-profiles patch

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 27 Nov 2024 22:52:01 -0500
